| EVShield v1.3 EVShield Library Reference by mindsensors.com

Public Attributes | List of all members
accl Struct Reference

`#include <EVs_AbsoluteIMU.h>`

## Public Attributes
short | tx
short | ty
short | tz
short | ax_h
short | ax_l
short | ay_h
short | ay_l
short | az_h
short | az_l
int | ax
int | ay
int | az
int | error

## Detailed Description

Accelerometer and Tilt related data

## Member Data Documentation

## § ax

int accl::ax

Accelerometer x-axis value derived from HSB and LSB values generated by AbsoluteIMU

## § ax_h

short accl::ax_h

Accelerometer HSB x-axis value generated by AbsoluteIMU

## § ax_l

short accl::ax_l

Accelerometer LSB x-axis value generated by AbsoluteIMU

## § ay

int accl::ay

Accelerometer y-axis value derived from HSB and LSB values generated by AbsoluteIMU

## § ay_h

short accl::ay_h

Accelerometer HSB y-axis value generated by AbsoluteIMU

## § ay_l

short accl::ay_l

Accelerometer LSB y-axis value generated by AbsoluteIMU

## § az

int accl::az

Accelerometer z-axis value derived from HSB and LSB values generated by AbsoluteIMU

## § az_h

short accl::az_h

Accelerometer HSB z-axis value generated by AbsoluteIMU

## § az_l

short accl::az_l

Accelerometer LSB z-axis value generated by AbsoluteIMU

## § error

int accl::error

Error generated in case of communication breakdown

## § tx

short accl::tx

Tilt x-axis value generated by AbsoluteIMU

## § ty

short accl::ty

Tilt y-axis value generated by AbsoluteIMU

## § tz

short accl::tz

Tilt z-axis value generated by AbsoluteIMU

The documentation for this struct was generated from the following file:

- C:/Program Files (x86)/Arduino-1.6.12/libraries/EVShield/EVs_AbsoluteIMU.h